Jailbreak iOS 4 on iPhone 3GS And iPod Touch 2G/3G With sn0wbreeze 1.7
By on July 6th, 2010

iH8sn0w has just released a new version of the Sn0wbreeze jailbreaking application. We had told you yesterday that a new version of the Sn0wbreeze application is expected to be released today. The Sn0wbreeze 1.7ios4_logo application now supports iPhone 3GS based on older as well as newer bootroms, along with iPod Touch 2G (MC and non-MC models) and the iPod Touch 3G.

Sn0wbreeze v1.7 is the first jailbreaking application to support iPhone 3GS based on newer bootroms. However, these newer bootroms based iPhone 3GS must be running on iOS 3.1.2 or must have their iOS 3.1.2 SHSH blobs saved. Without either of these, users will not be able to jailbreak their iPhone 3GS on iOS4.

In addition, this jailbreak will be a tethered one, which means users need to connect their iPhone to a PC, whenever they turn it off, to turn it back on. Readers can find the step-by-step guide to jailbreak their iPhone 3GS here.

Tags: , , , , , , , , , ,
Author: Rajesh Pandey Google Profile for Rajesh Pandey
Rajesh is a 19 year old nerd, currently pursuing B.Com Hons from Bhawanipore college in Kolkata, India. He loves everything tech, especially Android. You can follow him on twitter @ePandu or mail to him at rajesh@techie-buzz.com.

Rajesh Pandey has written and can be contacted at rajesh@techie-buzz.com.
  • Taher

    Ahhhh! How long for us guys that don't have the shsh blobs?!

    • Br.Bill

      Yes, please? Any word, or has Apple been too smart this time?

 
Copyright 2006-2012 Techie Buzz. All Rights Reserved. Our content may not be reproduced on other websites. Content Delivery by MaxCDN